<script lang="ts" >
  import { SessionRepo } from "../../repository/session";

  const repo = new SessionRepo("http://localhost:8080")

  const login = async (e: SubmitEvent) => {
    e.preventDefault()
    let email = e.target[0].value
    let password = e.target[1].value
    try {
      await repo.tryLogin(email, password)
    } catch(e) {
      console.error(e)
    }
  }

</script>

<form on:submit={login} >
  <label for="email">
    Email
    <input type="text" value="eve.san.dev@gmail.com">
  </label>

  <label for="password"  >
    Password
    <input type="password" value="somerandompasswod">
  </label>

  <button > Enviar </button>
</form>